/*
Хоткей F1, скрипт для открытия справки по расширению файла. Учитывает выделенный текст.
Укажите свои расширения файлов и пути к справкам или ссылкам
Автор AZJIO
*/

var pEditFile = AkelPad.GetEditFile(0);
var pFileExt  = AkelPad.GetFilePath(pEditFile, 4 /*CPF_FILEEXT*/);
var sSelText = AkelPad.GetSelText()
if (sSelText=="")
{
  var sLink = AkelPad.GetAkelDir() + "\\AkelFiles\\Docs\\AkelHelp-Rus.htm";
  AkelPad.SystemFunction().Call("Shell32::ShellExecuteW", 0, "open", sLink, 0, 0, 1);
  WScript.Quit();
}

switch (pFileExt.toLowerCase())
{
  case "js":
    AkelPad.Exec('"%a\\AkelFiles\\Tools\\Help\\Help.exe" ' + sSelText + ' js');
    break;
  case "au3":
    AkelPad.Exec('"%a\\AkelFiles\\Tools\\Help\\Help.exe" ' + sSelText + ' au3');
    break;
  case "wcs":
  case "wsc":
    AkelPad.Exec('"%a\\AkelFiles\\Tools\\Help\\Help.exe" ' + sSelText + ' wcs');
    break;
  case "pb":
  case "pbi":
    AkelPad.Exec('"%a\\AkelFiles\\Tools\\Help\\Help.exe" ' + sSelText + ' pb');
    // AkelPad.Exec('"C:\\AutoIt3\\AutoIt3.exe" "C:\\D\\PureBasic\\Purebasic 5.62 x86\\Instrument_azjio\\Help\\Help.exe" ' + sSelText + ' 1');
    break;
  // case "css":
  case "htm":
  case "html": // для веб ищем в домене htmlbook.ru
    AkelPad.Exec('"%a\\AkelFiles\\Tools\\Help\\Help.exe" ' + sSelText + ' html');
    // var sLink = 'https://www.google.com/search?source=hp&q=' + sSelText + ' site:htmlbook.ru' + '&oq=' + sSelText
    // AkelPad.SystemFunction().Call("Shell32::ShellExecuteW", 0, "open", sLink, 0, 0, 1);
    break;
  case "css": // если хотим прямую ссылку на http://htmlbook.ru/css/тег, иначе раскомментриуем строку над "htm"
    AkelPad.Exec('"%a\\AkelFiles\\Tools\\Help\\Help.exe" ' + sSelText + ' css');
    // var sLink = 'http://htmlbook.ru/css/' + sSelText
    // AkelPad.SystemFunction().Call("Shell32::ShellExecuteW", 0, "open", sLink, 0, 0, 1);
    break;
  default: // по умолчанию просто ищем в Google
    var sLink = 'https://www.google.com/search?source=hp&q=' + sSelText + '&oq=' + sSelText
    AkelPad.SystemFunction().Call("Shell32::ShellExecuteW", 0, "open", sLink, 0, 0, 1);
    break;
}
